Jacobian {
  { Name JacZyl ;
    Case { 
      { Region wall ; Jacobian VolAxi ; }

      { Region boundary; Jacobian SurAxi ; } 
		// if you forget to define this Jacobian you get a message from the solver:
		// Error     : Undefined Jacobian in Region 7
		// alternatively you could also solve the problem on "wall" alone

    }
  }
}

Integration {
  { Name I1 ;
    Case { 
      { Type Gauss ;
        Case { 
          { GeoElement Point       ; NumberOfPoints  1 ; }
          { GeoElement Line        ; NumberOfPoints  3 ; }
          { GeoElement Triangle    ; NumberOfPoints  4 ; }
        }
      }
    }
  }
}

FunctionSpace {
  { Name Hgrad_T; Type Form0; 
    BasisFunction {
      { Name sn; NameOfCoef Tn; Function BF_Node; Support Vol_The; 
        Entity NodesOf[All]; }
    }
    Constraint {
      { NameOfCoef Tn; EntityType NodesOf ; NameOfConstraint Sta_T; }
    }
  }

}

Formulation {

  { Name The_T ; Type FemEquation; 
    Quantity { 
      { Name T;  Type Local; NameOfSpace Hgrad_T; }
    }
    Equation {
      Galerkin { [ k[] * Dof{d T} , {d T} ]; 
                 In Vol_The; Integration I1; Jacobian JacZyl;  }
    }
  }

}


Resolution {
  { Name linear;
    System {
      { Name T; NameOfFormulation The_T; }
    }
    Operation { 
       Generate [T] ;  Solve [T] ; SaveSolution [T] ;
    }
  }
}

PostProcessing {
  { Name map; NameOfFormulation The_T;
    Quantity {
      { Name T; Value{ Local{ [ {T} ] ; In Vol_The; Jacobian JacZyl; } } }
      { Name q; Value{ Local{ [ -k[]*{ Grad T} ] ; In Vol_The; Jacobian JacZyl;} } }
    }
  }
  
}


