Jacobian {
  { Name ZylVol ;
    Case { 
      { Region plate ; Jacobian VolAxi ; }
      { Region left ; Jacobian SurAxi ; }
      { Region right ; Jacobian SurAxi ; }
    }
  }
    { Name CartVol ;
    Case { 
      { Region plate ; Jacobian Vol ; }
      { Region left ; Jacobian Sur ; }
      { Region right ; Jacobian Sur ; }
    }
  }
  { Name JacobianSur ;
    Case {
      { Region All ; Jacobian Sur ; }
    }
  }
}

Integration {
  { Name I1 ;
    Case { 
      { Type Gauss ;
        Case { 
          { GeoElement Point       ; NumberOfPoints  1 ; }
          { GeoElement Line        ; NumberOfPoints  3 ; }
         }
      }
    }
  }
}

FunctionSpace {
  { Name Hgrad_T; Type Form0; 
    BasisFunction {
      { Name sn; NameOfCoef Tn; Function BF_Node; Support Region[{Vol_The,right}]; 
        Entity NodesOf[All]; }
    }
    Constraint {
      { NameOfCoef Tn; EntityType NodesOf ; NameOfConstraint Dyn_T; }
    }
  }

}

Function{
  DefineFunction[qVol];
}



Formulation {

  { Name The_T ; Type FemEquation; 
    Quantity { 
      { Name T;  Type Local; NameOfSpace Hgrad_T; }
    }
    Equation {
      Galerkin { [ k[] * Dof{d T} , {d T} ]; 
                 In Vol_The; Integration I1; Jacobian CartVol;  }
      Galerkin { Dt [ rhoc[] * Dof{T} , {T} ]; 
                 In Vol_The; Integration I1; Jacobian CartVol;  }
   }
  }

}


Resolution {
  { Name linear;
    System {
      { Name T; NameOfFormulation The_T; }
    }
    Operation { 
      InitSolution T ; 
      TimeLoopTheta {
        Time0  t0 ; TimeMax t1 ; DTime dt ; Theta 1. ;
        Operation { 
          Generate T ; Solve T ; SaveSolution T;
        } 
      }
    }
  }
}

PostProcessing {
  { Name The; NameOfFormulation The_T;
    Quantity {
      { Name T; Value{ Local{ [ {T} ] ; In Vol_The; Jacobian CartVol; } } }
      { Name q; Value{ Local{ [ -k[]*{ Grad T} ] ; In Vol_The; Jacobian CartVol;} } }
      { Name q_abs; Value{ Local{ [ -k[]*Norm[{ Grad T}] ] ; In Vol_The; Jacobian CartVol;} } }
    }
  }
  
}


