Jacobian {
  { Name JVol ;
    Case { 
      { Region lead ; Jacobian Vol ; }
      { Region hot ; Jacobian Sur ; }
      { Region cold ; Jacobian Sur ; }
    }
  }
}

Integration {
  { Name I1 ;
    Case { 
      { Type Gauss ;
        Case { 
          { GeoElement Point       ; NumberOfPoints  1 ; }
          { GeoElement Line        ; NumberOfPoints  3 ; }
        }
      }
    }
  }
}

FunctionSpace {
  { Name Hgrad_T; Type Form0; 
    BasisFunction {
      { Name sn; NameOfCoef Tn; Function BF_Node; Support Vol_The; 
        Entity NodesOf[All]; }
    }
    Constraint {
      { NameOfCoef Tn; EntityType NodesOf ; NameOfConstraint T_Static; }
    }
  }

}

Formulation {

  { Name The_T ; Type FemEquation; 
    Quantity { 
      { Name T;  Type Local; NameOfSpace Hgrad_T; }
    }
    Equation {
      Galerkin { [ k[{T}] * Dof{d T} , {d T} ]; 
                 In Vol_The; Integration I1; Jacobian JVol;  }
      Galerkin { [ -qdot[{T}] , { T} ]; 
                 In Vol_The; Integration I1; Jacobian JVol;  } 
    }
  }
}


Resolution {
  { Name nonlinear;
    System {
      { Name T; NameOfFormulation The_T; }
    }
    Operation { 
       InitSolution [T];
       IterativeLoop[NL_NbrMaxIter, NL_Eps, NL_Relax] {
           GenerateJac [T] ;  SolveJac [T] ; 
       }
       SaveSolution [T] ;
    }
  }
}

PostProcessing {
  { Name The; NameOfFormulation The_T;
    Quantity {
      { Name T; Value{ Local{ [ {T} ] ; In Vol_The; Jacobian JVol; } } }
      { Name q; Value{ Local{ [ -k[{T}]*{ Grad T} ] ; In Vol_The; Jacobian JVol;} } }
      { Name q_abs; Value{ Local{ [ -k[{T}]* Norm[{ Grad T}] ] ; In Vol_The; Jacobian JVol;} } }//      { Name qtot; Value{ Integral{ [ Norm[-k[{T}]*{ Grad T}] ] ; In middle; Integration I1; Jacobian JVol; } } }
    }
  }
  
}


